<!-- home header  -->
<ion-header class="the_content">
	<ion-navbar color="haldin-header" hideBackButton="true">
	  <ion-buttons start></ion-buttons>
	  <ion-title>
		  <div class="d-flex">
			  <div class="wrap_logo">
				  <img src="assets/images/logo-new.png" class="logo" alt="logo HF">
			  </div>
  
			  <div class="wrap_cart">
				  <button>
					  <img src="assets/icon/cart2.svg" class="cart" alt="logo HF">
					  <span class="number_cart">0</span>
				  </button>
			  </div>
			  
		  </div>
	  </ion-title>
	  
	  <ion-buttons end>
		  <!--<button ion-button icon-only>
		  <ion-icon name="cart"></ion-icon>
	  </button>-->
	  
	  <!--<button ion-button icon-only (click)="notificationList()">
	  <ion-icon name="notifications"></ion-icon>
	  </button>-->
		  <button ion-button icon-only (click)="presentPopover($event)">
			  <ion-icon name="more"></ion-icon>
		  </button>
	  </ion-buttons>
  
	</ion-navbar>
  </ion-header>
  <!-- end home header  -->
  
  <!-- ionic menu w/ header&body  -->
  <!--<page-menu>
  </page-menu>-->
  <!-- end ionic menu  -->
  
  <!-- home body  -->
  <ion-content class="content-home the_content">
  <!--<page-tabs>
  </page-tabs>-->
  
  <section class="home-container the_content">	
	  <!-- <div class="alert success"> -->
		  <!-- <input type="checkbox" id="alert2"/> -->
		  <!-- <label class="close" title="close" for="alert2"> -->
				<!-- <ion-icon name="close-circle"></ion-icon> -->
		  <!-- </label> -->
		  <!-- <p class="inner"> -->
			  <!-- Welcome to haldinfoods apps : <b> {{todo.nama_user}} </b> <br /> -->
			  <!-- <b>{{greet}} </b> -->
		  <!-- </p> -->
	  <!-- </div> -->
	  <div class="alert wrap_alert">
			<span class="closebtn" onclick="this.parentElement.style.display='none';">&times;</span>
			<h5>Welcome to Haldinfoods : <span class="tbold"> {{todo.menu_open_id}}</span><span class="tbold"> {{todo.nama_user}}</span></h5>
		   <h5><span class="tbold">{{greet}} </span></h5> 
	  </div>
  
	  <div *ngIf=" todo.providerUser == 'Agent'">
		  <div class="mt-2 card_item" >
			  <h5 class="wrapper" (click)="leadList()">
				  <img src="assets/icon/invoice_icon.svg" class="icon" alt="icon"/>Lead
				  <span class="tbold ttotal">{{total_survey}}</span>
			  </h5>
		  </div>
		  <div class="mt-2 card_item" >
			  <h5 class="wrapper" (click)="dashboard_transaksi()">
				  <img src="assets/icon/invoice_icon.svg" class="icon" alt="icon"/>Total<br/>Transaksi
				  <span class="tbold ttotal">{{total_transaksi}}</span>
			  </h5>
		  </div>
	  </div>
  
	  <div *ngIf=" todo.providerUser == 'Sales'">
		  <div *ngIf=" todo.kode_sales != 'BSR'">
			  <div class="mt-2 card_item">
				  <h5 class="wrapper" (click)="leadList()">
					  <img src="assets/icon/invoice_icon.svg" class="icon" alt="icon"/>Lead
					  <span class="tbold ttotal">{{total_survey}}</span>
				  </h5>
			  </div>
			  <div class="mt-2 card_item">
				  <h5 class="wrapper" (click)="dashboard_transaksi()">
					  <img src="assets/icon/invoice_icon.svg" class="icon" alt="icon"/>Total <br/> Transaksi
					  <span class="tbold ttotal">{{total_transaksi}}</span>
				  </h5>
			  </div>
		  </div>
		  <div *ngIf=" todo.kode_sales == 'BSR'">
			  <div class="mt-2 card_item">
				  <h5 class="wrapper" (click)="leadList()">
					  <img src="assets/icon/invoice_icon.svg" class="icon" alt="icon"/>Lead
					  <span class="tbold ttotal">{{total_survey}}</span>
				  </h5>
			  </div>
			  <div class="mt-2 card_item">
				  <h5 class="wrapper">
					  <img src="assets/icon/invoice_icon.svg" class="icon" alt="icon"/>Total <br/> Transaksi
					  <span class="tbold ttotal">{{total_transaksi}}</span>
				  </h5>
			  </div>
		  </div>
	  </div>
	  
	  <div class="mt-2 card_item"  *ngIf=" todo.providerUser == 'Customer'">
		  <h5 class="wrapper" (click)="dashboard_transaksi()">
			  <img src="assets/icon/invoice_icon.svg" class="icon" alt="icon"/>Total<br/>Transaksi
			  <span class="tbold ttotal">{{total_transaksi}}</span>
		  </h5>
	  </div>
	  <div class="mt-2 card_item"  *ngIf=" todo.providerUser == 'Karyawan'">
		  <h5 class="wrapper" (click)="dashboard_transaksi()">
			  <img src="assets/icon/invoice_icon.svg" class="icon" alt="icon"/>Total<br/>Transaksi
			  <span class="tbold ttotal">{{total_transaksi}}</span>
		  </h5>
	  </div>
  
  
	  <!-- <div class="mt-2" *ngIf=" todo.providerUser == 'Agent'">
		  <div class="row survey-row">
			  <div class="col col-style text-center" (click)="leadList()"><h4>{{total_survey}}  <ion-icon name="checkbox"></ion-icon></h4><h5>LEAD</h5></div>
			  <div class="col col-style text-center" (click)="dashboard_transaksi()"><h4>{{total_transaksi}} <ion-icon name="download"></ion-icon></h4><h5>TRANSAKSI</h5></div>
			  <div class="col col-style text-center" (click)="dashboard_status()"><h4><ion-icon name="checkmark-circle"></ion-icon>
			  </h4><h5>STATUS PEMBELIAN</h5></div>
		  </div>
	  </div>	 -->
	  <!-- <div class="mt-2" *ngIf=" todo.providerUser == 'Sales'">
		  <div *ngIf=" todo.kode_sales != 'BSR'">
			  <div class="row survey-row">
				  <div class="col col-style text-center" (click)="leadList()"><h4>{{total_survey}}  <ion-icon name="checkbox"></ion-icon></h4><h5>LEAD</h5></div>
				  <div class="col col-style text-center" (click)="dashboard_transaksi()"><h4>{{total_transaksi}} <ion-icon name="download"></ion-icon></h4><h5>TRANSAKSI</h5></div>
				  <div class="col col-style text-center" (click)="dashboard_status()"><h4><ion-icon name="checkmark-circle"></ion-icon></h4><h5>STATUS PEMBELIAN</h5></div>
			  </div>
		  </div>
		  <div *ngIf=" todo.kode_sales == 'BSR'">
			  <div class="row survey-row">
				  <div class="col col-style text-center" (click)="leadList()"><h4>{{total_survey}}  <ion-icon name="checkbox"></ion-icon></h4><h5>LEAD</h5></div>
				  <div class="col col-style text-center" style="background-color:#eee;"><h4>{{total_transaksi}} <ion-icon name="download"></ion-icon></h4><h5>TRANSAKSI</h5></div>
				  <div class="col col-style text-center" style="background-color:#eee;"><h4><ion-icon name="checkmark-circle"></ion-icon></h4><h5>STATUS PEMBELIAN</h5></div>
			  </div>
		  </div>
	  </div> -->
  
	  <!-- <div class="mt-2" *ngIf=" todo.providerUser == 'Customer'">
		  <div class="row survey-row">
			  <div class="col col-style text-center" (click)="dashboard_transaksi()"><h4>{{total_transaksi}} <ion-icon name="download"></ion-icon></h4><h5>TOTAL TRANSAKSI</h5></div>
			  <div class="col col-style text-center" (click)="dashboard_status()"><h4><ion-icon name="checkmark-circle"></ion-icon></h4><h5>STATUS PEMBELIAN</h5></div>
		  </div>
	  </div> -->
	  <!-- <div class="mt-2" *ngIf=" todo.providerUser == 'Karyawan'">
		  <div class="row survey-row">
			  <div class="col col-style text-center" (click)="dashboard_transaksi()"><h4>{{total_transaksi}} <ion-icon name="download"></ion-icon></h4><h5>TOTAL TRANSAKSI</h5></div>
			  <div class="col col-style text-center" (click)="dashboard_status()"><h4><ion-icon name="checkmark-circle"></ion-icon></h4><h5>STATUS PEMBELIAN</h5></div>
		  </div>
	  </div> -->
  </section>
  
  <ion-card class="the_content">
	  <img src="assets/images/banner_home-min.png" style="text-align: center; width: 100%; height: auto;">
	 <!-- <ion-card-header>
			<ion-card-subtitle>Welcome to haldinfoods apps: </ion-card-subtitle>
			<ion-card-title style="font-size: 18px;"><b>{{todo.nama_user}},  {{greet}} </b></ion-card-title>
	 </ion-card-header>  -->
	  <!-- <ion-slides autoplay="5000" loop="true" speed="3000" class="full"> -->
	  <!-- <ion-slides class="full">
		<ion-slide>
		  <img src="assets/images/banner3.jpg" style="text-align: center; width: 100%; height: auto;">
		</ion-slide>
	  
		<ion-slide>
		  <img src="assets/images/banner4.jpg" style="text-align: center; width: 100%; height: auto;">
		</ion-slide>
	  </ion-slides>  -->
  </ion-card>
  
  <ion-grid class="the_content pt-0">
	  <div *ngIf=" todo.providerUser == 'Agent'">
		  <ion-row top>
			  <ion-col>
				 <div style="border-radius: 5px; text-align: center;" (click)="leadList()">
				  <ion-img style="width:40px; height: 40px;" src="assets/images/lead.png"></ion-img> 
				  <div *ngIf=" total_lead_open != '0'">
				  <ion-badge class="notifications-badge" color="danger">{{total_lead_open}}</ion-badge>
				  </div>
				  <div style="text-align: center;"><span class="font-color-red"><b>Lead&nbsp;&nbsp;&nbsp;</b></span></div>
				</div>
			  </ion-col>
			   <ion-col>
				<div style="border-radius: 5px; text-align: center;" (click)="productList()">
				  <ion-img style="width:40px; height: 40px;" src="assets/images/belanja.png"></ion-img> 
				  <div style="text-align: center;"><span class="font-color-green"><b>Belanja&nbsp;</b></span></div>
				</div>
			  </ion-col>
			  <ion-col>
				<div style="border-radius: 5px; text-align: center;" (click)="agendaList()">
				  <ion-img style="width:40px; height: 40px;" src="assets/images/agenda.png"></ion-img> 
				  <div *ngIf=" total_agenda_open != '0'">
				  <ion-badge class="notifications-badge" color="danger">{{total_agenda_open}}</ion-badge>
				  </div>
				  <div style="text-align: center;"><span class="font-color-blue"><b>Agenda&nbsp;&nbsp;</b></span></div>
				</div>
			  </ion-col>
			  <ion-col>
				<div style="border-radius: 5px; text-align: center;" (click)="performaList()">
				  <ion-img style="width:40px; height: 40px;" src="assets/images/performa.png"></ion-img> 
				  <div style="text-align: center;"><span class="font-color-yellow"><b>Performa&nbsp;</b></span></div>
				</div>
			  </ion-col>
			  <ion-col>
				<div style="border-radius: 5px; text-align: center;" (click)="komisiList()">
				  <ion-img style="width:40px; height: 40px;" src="assets/images/commission.png"></ion-img> 
				  <div style="text-align: center;"><span class="font-color-yellow"><b>Komisi&nbsp;</b></span></div>
				</div>
			  </ion-col>
		  </ion-row> 
	  </div>
	  
	  <div *ngIf="todo.providerUser == 'Sales'">
		 <div *ngIf=" todo.kode_sales != 'BSR'">
		  <!-- <ion-row top> -->
			  <!-- <ion-col>
				<div style="border-radius: 5px; text-align: center;" (click)="leadList()">
				  <ion-img style="width:40px; height: 40px;" src="assets/images/lead.png"></ion-img> 
				  <div *ngIf=" total_lead_open != '0'">
				  <ion-badge class="notifications-badge" color="danger">{{total_lead_open}}</ion-badge>
				  </div>
				  <div style="text-align: center;"><span class="font-color-green"><b>Lead&nbsp;&nbsp;&nbsp;</b></span></div>
				</div>
			  </ion-col> -->
			   <!-- <ion-col>
				<div style="border-radius: 5px; text-align: center;" (click)="productList()">
				  <ion-img style="width:40px; height: 40px;" src="assets/images/belanja.png"></ion-img> 
				  <div style="text-align: center;"><span class="font-color-green"><b>Belanja&nbsp;</b></span></div>
				</div>
			  </ion-col> -->
			  <!-- <ion-col>
				<div style="border-radius: 5px; text-align: center;" (click)="agendaList()">
				  <ion-img style="width:40px; height: 40px;" src="assets/images/agenda.png"></ion-img>
				  <div *ngIf=" total_agenda_open != '0'">
				  <ion-badge class="notifications-badge" color="danger">{{total_agenda_open}}</ion-badge>
				  </div>
				  <div style="text-align: center;"><span class="font-color-green"><b>Agenda&nbsp;&nbsp;</b></span></div>
				</div>
			  </ion-col> -->
			  <ion-col>
				<div style="border-radius: 5px; text-align: center;" (click)="approvalList()">
				  <ion-img style="width:40px; height: 40px;" src="assets/images/approval.png"></ion-img> 
				  <div style="text-align: center;"><span class="font-color-green"><b>Approval</b></span></div>
				</div>
			  </ion-col>
			  <!-- <ion-col>
				<div style="border-radius: 5px; text-align: center;" (click)="performaList()">
				  <ion-img style="width:40px; height: 40px;" src="assets/images/performa.png"></ion-img> 
				  <div style="text-align: center;"><span class="font-color-green"><b>Performa&nbsp;</b></span></div>
				</div>
			  </ion-col>	 -->
			  <!-- <ion-col>
				  <div style="border-radius: 5px; text-align: center;" (click)="komisiList()">
					<ion-img style="width:40px; height: 40px;" src="assets/images/commission.png"></ion-img> 
					<div style="text-align: center;"><span class="font-color-yellow"><b>Komisi&nbsp;</b></span></div>
				  </div>
				</ion-col>		 -->
		  <!-- </ion-row>  -->
		  
		  <ion-row>
			  <ion-col>
				<div style="border-radius: 5px; text-align: center;" (click)="addCustomer()">
				  <ion-img style="width:40px; height: 40px;" src="assets/images/register.png"></ion-img> 
				  <div style="text-align: center;"><span class="font-color-green"><b>Add Cust</b></span></div>
				</div>
			  </ion-col>
			  <ion-col>
				<div style="border-radius: 5px; text-align: center;" (click)="aktifasiCustomer()">
				  <ion-img style="width:40px; height: 40px;" src="assets/images/aktif-user.png"></ion-img> 
				  <div style="text-align: center;"><span class="font-color-green"><b>Act. Cust</b></span></div>
				</div>
			  </ion-col>
			  <ion-col>
				<div style="border-radius: 5px; text-align: center;" (click)="create_cart_oc()">
				  <ion-img style="width:40px; height: 40px;" src="assets/images/belanja.png"></ion-img> 
				  <div style="text-align: center;"><span class="font-color-green"><b>OC Sales&nbsp;</b></span></div>
				</div>
			  </ion-col>	
			  <!-- <ion-col>
				<div style="border-radius: 5px; text-align: center;" (click)="perlu_kirim()">
				  <ion-img style="width:40px; height: 40px;" src="assets/images/shipping-and-delivery.png"></ion-img> 
				  <div style="text-align: center;"><span class="font-color-green"><b>Perlu Kirim&nbsp;</b></span></div>
				</div>
			  </ion-col> -->
			   <ion-col>
				<div style="border-radius: 5px; text-align: center;" (click)="sample_product()">
				  <ion-img style="width:40px; height: 40px;" src="assets/images/product.png"></ion-img> 
				  <div style="text-align: center;"><span class="font-color-green"><b>Sample Product&nbsp;</b></span></div>
				</div>
			  </ion-col>				
		  </ion-row> 
		  </div>
		  
		  <div *ngIf=" todo.kode_sales == 'BSR'">
			  <ion-row top>
				  <ion-col>
					<div style="border-radius: 5px; text-align: center;" (click)="agendaList()">
					  <ion-img style="width:40px; height: 40px;" src="assets/images/agenda.png"></ion-img> 
					  <div *ngIf=" total_agenda_open != '0'">
					  <ion-badge class="notifications-badge" color="danger">{{total_agenda_open}}</ion-badge>
					  </div>
					  <div style="text-align: center;"><span class="font-color-blue"><b>Agenda&nbsp;&nbsp;</b></span></div>
					</div>
				  </ion-col>
				  <ion-col>
					<div style="border-radius: 5px; text-align: center;" (click)="performaList()">
					  <ion-img style="width:40px; height: 40px;" src="assets/images/performa.png"></ion-img> 
					  <div style="text-align: center;"><span class="font-color-yellow"><b>Performa&nbsp;</b></span></div>
					</div>
				  </ion-col>
				  <ion-col>
					<div style="border-radius: 5px; text-align: center;" (click)="approvalList()">
					  <ion-img style="width:40px; height: 40px;" src="assets/images/approval.png"></ion-img> 
					  <div style="text-align: center;"><span class="font-color-blue"><b>Approval</b></span></div>
					</div>
				  </ion-col>
			  </ion-row> 
		  </div>
	  </div>
   
	  <div *ngIf=" todo.providerUser == 'Customer'">
		  <ion-row top>
			  <ion-col>
				<div style="border-radius: 5px; text-align: center;" (click)="productList()">
				  <ion-img style="width:40px; height: 40px;" src="assets/images/belanja.png"></ion-img> 
				  <div style="text-align: center;"><span class="font-color-green"><b>Belanja</b></span></div>
				</div>
			  </ion-col>
		  </ion-row> 
	  </div>
	  
	  <div *ngIf=" todo.providerUser == 'KARYAWAN' || todo.providerUser == 'Karyawan'">
		  <ion-row top>
			  <ion-col>
				  <div class="wrap_button d-flex">
					  <button ion-button block color="light" class="button-color" (click)="productList()">
						  <!-- <ion-img src="assets/icon/search_cart.svg"></ion-img>  -->
						  <ion-icon name="search" class="mr-1"></ion-icon>
						  <span>Belanja Sekarang</span>
					  </button>
				  </div>
			  </ion-col>
		  </ion-row> 
	  </div>
	
  </ion-grid>
   <ion-refresher (ionRefresh)="doRefresh($event)">
	  <ion-refresher-content></ion-refresher-content>
	</ion-refresher>
  </ion-content>
  
  
  <div class="footer_apps">
	  <div class="wrap_menu active">
		  <button>
			  <img src="assets/icon/home_active.svg" alt=""/>
			  <h6>Beranda</h6>
		  </button>
	  </div>
	  <div class="wrap_menu">
		  <button (click)="myProfile()">
			  <img src="assets/icon/user-1-1.svg" alt=""/>
			  <h6>Profile</h6>
		  </button>
	  </div>
	  <div class="wrap_menu">
		  <button (click)="myHelp()">
			  <img src="assets/icon/help-1-1.svg" alt=""/>
			  <h6>Bantuan</h6>
		  </button>
	  </div>
  </div>
  
  <!-- end home body  -->
  